> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update the specified resource in storage



## OpenAPI

````yaml https://api.comm.com/docs/api.json put /v1/sms/routing/blacklist/{blacklist}
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/sms/routing/blacklist/{blacklist}:
    put:
      tags:
        - SmsRoutingBlacklist
      summary: Update the specified resource in storage
      operationId: sms.routing.blacklist.update
      parameters:
        - name: blacklist
          in: path
          required: true
          description: The blacklist ID
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                reason:
                  type: string
                  maxLength: 1000
              required:
                - reason
      responses:
        '200':
          description: '`SmsRoutingBlacklistResource`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/SmsRoutingBlacklistResource'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    SmsRoutingBlacklistResource:
      type: object
      properties:
        id:
          type: string
        sms_route_id:
          type: string
        company_id:
          type: string
        country_id:
          type: string
        reason:
          type: string
        team_id:
          type: string
        created_by:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
        sms_route:
          type: string
        company:
          type: string
        country:
          type: string
        created_by_user:
          type: string
      required:
        - id
        - sms_route_id
        - company_id
        - country_id
        - reason
        - team_id
        - created_by
        - created_at
        - updated_at
      title: SmsRoutingBlacklistResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````